- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- PlannableUserList
- UserListType
- PlannableStatus
- Try it!
Retrieves first and third party user lists available for forecasting.
HTTP request
GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/reachForecast:retrievePlannableUserLists
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser to retrieve plannable user lists for. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Requested page size. Must be between |
pageToken |
Optional. A token identifying a page of results the server should return. Typically, this is the value of |
filter |
Optional. Allows filtering by plannable user list properties. Supported syntax:
Supported fields:
Examples:
The length of this field should be no more than 500 characters. Reference our filter |
Request body
The request body must be empty.
Response body
Response for reachForecast.retrievePlannableUserLists.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"plannableUserLists": [
{
object ( |
| Fields | |
|---|---|
plannableUserLists[] |
Output only. The list of plannable user lists. |
nextPageToken |
Output only. A token to retrieve the next page of results. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.
PlannableUserList
A plannable user list used for reach forecasting.
| JSON representation |
|---|
{ "displayName": string, "userListType": enum ( |
| Fields | |
|---|---|
displayName |
Output only. The display name of the user list. |
userListType |
Output only. The type of the user list. |
name |
Output only. The resource name identifying the user list. Format: |
plannableStatus |
Output only. The plannability status of the user list. |
UserListType
Types of user lists.
| Enums | |
|---|---|
USER_LIST_TYPE_UNSPECIFIED |
Unspecified user list type. |
FIRST_PARTY |
A first-party user list. |
THIRD_PARTY |
A third-party user list. |
PlannableStatus
Status indicating if a list is plannable or not.
| Enums | |
|---|---|
PLANNABLE_STATUS_UNSPECIFIED |
Unspecified plannability status. |
PLANNABLE |
The user list is plannable. |
UNPLANNABLE |
The user list is unplannable. |